Help with app.json for Android

#1

Hi all, question about app.json. I released my app to the android store but I’m trying to update it as I made some changes.
I run

exp build:android

after updating the version number. This led to the error:

You need to use a different version code for your APK because you already have one with version code 1.

I looked at the documentation and it said to add versionCode, which I did. However, this leads to:

should NOT have additional property 'versionCode'

in the terminal. The build APK receives the same error as above. What am I doing wrong? I feel the docs are a little unclear on this and I’ll throw a PR in once I get it resolved.

thanks.

{
  "expo": {
    "name": "Ultimate Flash Cards",
    "icon": "./appIcons/web_hi_res_512.png",
    "slug": "ultimate-flash-cards",
    "version": "3.0.0",
    "versionCode": 2,
    "sdkVersion": "22.0.0",
    "ios": {
      "bundleIdentifier": "gg.mt.ultimateflashcards"
    },
    "android": {
      "package": "gg.mt.ultimateflashcards"
    }
  }
}

#2

@imattuk versionCode must be inside of android section:

{
  "expo": {
    "name": "Ultimate Flash Cards",
    "icon": "./appIcons/web_hi_res_512.png",
    "slug": "ultimate-flash-cards",
    "version": "3.0.0",
    "sdkVersion": "22.0.0",
    "ios": {
      "bundleIdentifier": "gg.mt.ultimateflashcards"
    },
    "android": {
      "versionCode": 2,
      "package": "gg.mt.ultimateflashcards"
    }
  }
}
3 Likes